dofile(LockOn_Options.script_path.."displays/MFD/Indicator/definitions.lua") --所有页面都包含这个描述文件

base_sim = AddSimple()

PAGE_NAME = 'ST'

AddText(nil,
    'Network boot from SW Sw79C970A\nCopyright (C) 2003-2018\tWeiLong, Inc.\nCopyright (C) 1997-2000\tShenWei Corporation\n\nCLIENT MAC ADDR: 00 0C 29 6B 63 F0\tGUID: 564DB0F1-6BE7-B952-0B1A-DBE1C36B63F0',
    'unicode_cn_white',{-0.95*Width,0.95*Height},'LeftTop',DEFAULT_FONT_SIZE[2],nil,nil,base_sim,
    nil,
    {'ST_TIME'},
    {
        {AnimalControllor.parameterInRange,0,1,10},
    }
)
AddText(nil,nil,'unicode_cn_white',{-0.95*Width,0.5*Height},'LeftTop',DEFAULT_FONT_SIZE[2],nil,nil,base_sim,
    {'DHCP%s'},
    {'BIOS_TXT','ST_TIME'},
    {
        {AnimalControllor.textUsingParameter,0},
        {AnimalControllor.parameterInRange,1,1,10},
    }
)

width = (Width-0.505*Width)*0.5
height = Height*1.15*0.5

local step = 0.002
local testSim = AddSimple(nil,{0,0,0},{0,0,0},base_sim,{'ST_ROT'},{{AnimalControllor.rotateUsingParameter,0,-math.rad(1)},})
AddMeshPoly(nil,
	{
		{-0.283*width,0.163*width},
		{0.0*width,0.0*width,},
		{0.0*width,-0.327*width},
		{-0.283*width,-0.163*width},
	},
	{0,1,2,2,3,0},nil,nil,'DBG_RED',nil,nil,testSim,
	{'ST','ST_TIME'},
	{
		{AnimalControllor.moveLeftRightUsingParameter,0,-math.cos(math.rad(30))*step},
		{AnimalControllor.moveUpDownUsingParameter,0,-math.sin(math.rad(30))*step},
		{AnimalControllor.parameterInRange,1,12,36}
	}
)
AddMeshPoly(nil,
	{
		{0.0*width,0.0*width},
		{0.283*width,0.163*width},
		{0.283*width,-0.163*width},
		{0.0*width,-0.327*width}
	},
	{0,1,2,2,3,0},nil,nil,'DBG_GREEN',nil,nil,testSim,
	{'ST','ST_TIME'},
	{
		{AnimalControllor.moveLeftRightUsingParameter,0,math.cos(math.rad(30))*step},
		{AnimalControllor.moveUpDownUsingParameter,0,-math.sin(math.rad(30))*step},
		{AnimalControllor.parameterInRange,1,12,36}
	}
)
AddMeshPoly(nil,
	{
		{-0.283*width,0.163*width},
		{0*width,0.327*width},
		{0.283*width,0.163*width},
		{0.0*width,0.0*width}
	},
	{0,1,2,2,3,0},nil,nil,'DBG_BLUE',nil,nil,testSim,
	{'ST','ST_TIME'},
	{
		{AnimalControllor.moveUpDownUsingParameter,0,step},
		{AnimalControllor.parameterInRange,1,12,33.36}
	}
)

PAGE_NAME = 'INDICATION'

SUB_PAGE_NAME = 'P1_SUB_PAGE'
SUB_PAGE_VAL = Pages[Pages.P1].BASE

Page1_sim  = AddSimple(nil,{-0.4955-width,0.117*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/P1.lua") 		--EADI
Page2_sim  = AddSimple(nil,{-0.495*0.5*Width,0.117*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/P2.lua") 		--EFCS/RADAR/FLIR
Page3_sim = AddSimple(nil,{0.248*Width,0.117*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/P3.lua") 		--EHSI simplified
Page4_sim = AddSimple(nil,{0.7475*Width,0.117*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/P4.lua") 		--SMS

------------------------------------------------------------------------------------------------------------------------------------------
width = 0.122*Width
height = 0.2531945*Height
B_Page1_sim = AddSimple(nil,{-0.8670*Width,-0.7218055*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/BP1.lua")
--------------RWR------------------------------------------------------------------------------------------------------------------------
B_Page2_sim = AddSimple(nil,{-0.6195*Width,-0.7218055*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/BP2.lua")

-----------------------------------------------------------------------------------------------------------------------------------------
width = 0.1215*Width
B_Page3_sim = AddSimple(nil,{-0.371972*Width,-0.7218055*Height},nil,base_sim)
B_Page_radar_sim = AddSimple(nil,{-0.495*0.5*Width,-0.7218055*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/BP3.lua")

--------------ROD------------------------------------------------------------------------------------------------------------------------
width = 0.123*Width
B_Page4_sim = AddSimple(nil,{-0.1245305*Width,-0.7218055*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/BP4.lua")

--------------NAV------------------------------------------------------------------------------------------------------------------------
width = (Width-0.507*Width)*0.5
B_Page5_sim = AddSimple(nil,{0.248*Width,-0.7218055*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/BP5.lua")
B_Page6_sim = AddSimple(nil,{0.7435*Width,-0.7218055*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/BP6.lua")

--------------TOP------------------------------------------------------------------------------------------------------------------------
width = 0.991000*Width
height = 0.1309655*Height
T_Page_sim = AddSimple(nil,{0,0.8453245*Height},nil,base_sim)
dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/top_page.lua")
-----------------------------------------------------------------------------------------------------------------------------------------

SUB_PAGE_NAME = nil
SUB_PAGE_VAL = nil

AddMeshPoly(nil,{{0,0},{-Width,Height},{Width,Height}},{0,1,2},nil,nil,'DBG_RED',REWRITE_LEVEL,DEFAULT_MASK_LEVEL + 4,base_sim,{'ST_TIME'},{
		{AnimalControllor.parameterInRange,0,33.36,35.36}
},true)

AddMeshPoly(nil,{{0,0},{-Width,-Height},{Width,-Height}},{0,1,2},nil,nil,'DBG_RED',REWRITE_LEVEL,DEFAULT_MASK_LEVEL + 4,base_sim,{'ST_TIME'},{
		{AnimalControllor.parameterInRange,0,33.36,35.36}
},true)

AddMeshPoly(nil,{{0,0},{-Width,Height},{-Width,-Height}},{0,1,2},nil,nil,'DBG_RED',REWRITE_LEVEL,DEFAULT_MASK_LEVEL + 4,base_sim,{'ST_TIME'},{
		{AnimalControllor.parameterInRange,0,33.36,35.36}
},true)

AddMeshPoly(nil,{{0,0},{Width,Height},{Width,-Height}},{0,1,2},nil,nil,'DBG_RED',REWRITE_LEVEL,DEFAULT_MASK_LEVEL + 4,base_sim,{'ST_TIME'},{
		{AnimalControllor.parameterInRange,0,33.36,35.36}
},true)

step = 0.1

AddMeshPoly(nil,{{0,0},{-Width,Height},{Width,Height}},{0,1,2},nil,nil,'DBG_BLACK',nil,DEFAULT_MASK_LEVEL + 4,base_sim,{'MFCD_MASK','ST_TIME'},{
		{AnimalControllor.moveUpDownUsingParameter,0,step},
		{AnimalControllor.parameterInRange,1,33.36,35.36}
})

AddMeshPoly(nil,{{0,0},{-Width,-Height},{Width,-Height}},{0,1,2},nil,nil,'DBG_BLACK',nil,DEFAULT_MASK_LEVEL + 4,base_sim,	{'MFCD_MASK','ST_TIME'},	{
		{AnimalControllor.moveUpDownUsingParameter,0,-step},
		{AnimalControllor.parameterInRange,1,33.36,35.36}
})

AddMeshPoly(nil,{{0,0},{-Width,Height},{-Width,-Height}},{0,1,2},nil,nil,'DBG_BLACK',nil,DEFAULT_MASK_LEVEL + 4,base_sim,{'MFCD_MASK','ST_TIME'},{
		{AnimalControllor.moveLeftRightUsingParameter,0,-2.5*step},
		{AnimalControllor.parameterInRange,1,33.36,35.36}
})

AddMeshPoly(nil,{{0,0},{Width,Height},{Width,-Height}},{0,1,2},nil,nil,'DBG_BLACK',nil,DEFAULT_MASK_LEVEL + 4,base_sim,{'MFCD_MASK','ST_TIME'},{
	{AnimalControllor.moveLeftRightUsingParameter,0,2.5*step},
	{AnimalControllor.parameterInRange,1,33.36,35.36}
})